{% extends "base.html" %}

{% block title %}
    Document
{% endblock title %}</title>

{% block nav %}
{% endblock nav %}

{% block content %}
    <div>
        <h1>{{ todolist.name }}</h1>
        <p><a href="{% url "todo_list_update" todolist.id %}">Edit</a></p>
        <p><a href="{% url "todo_list_delete" todolist.id %}">Delete</a></p>
        <h2>Tasks</h2>
        <table>
            <tr>
                <th>Task</th>
                <th>Due date</th>
            </tr>
            {% for task in todolist.items.all %}
                <tr>
                    <th><a href="{% url "todo_item_update" task.id %}">
                        {{ task.task }}</a></th>
                    <th>{{ task.due_date }}</th>
                </tr>
            {% endfor %}
        </table>
    </div>
{% endblock content %}
